R(1)

NAME
R - a language for data analysis and graphics

SYNOPSIS
R [ options ] [ < infile ] [ > outfile ]

DESCRIPTION
R is a language which bears a passing resemblance to the S language developed at AT&T Bell Laboratories. It provides support for a variety of statistical and graphical analyses. R is a true computer language which contains a number of control-flow constructions for iteration and alternation. It allows users to add additional functionality by defining new functions.

On platforms which support the dlopen(3) interface, Fortran and C code can be linked and called at run time.

On systems which have the GNU readline(3) library, R will maintain a command history, so that commands can be recalled, edited and re-executed.

OPTIONS
The following options allow users to change the amount of memory which R uses to store its internal data sets. If possible these sizes should be set so that R does not use more than the amount of physical memory available on the machine where the program is executing. This will minimize paging and ensure that execution is as efficient as possible.

--vsize n
    Use a vector heap of size n megabytes (the default is 2).

--nsize n
    The number of cons cells (each occupying 16 bytes) which R is to use (the default is 200000).

The following options relate to the saving and restoring of a user's data sets and functions at startup and termination.

--no-save
    Do not save the data sets at the end of the R session. This is only effective when R is used non-interactively.

--save
    Do save data sets.

--no-restore
    Do not restore any previously saved datasets (an image).

--restore
    Do restore previously saved datasets (this is the default).

The following options are present to support the use of R from other programs. In particular, the --no-readline option exists so that R can be run under emacs(1) and xemacs(1) using ESS.

--no-readline
    Turn off the use of the readline(3) command line editing.

--quiet, --silent
    Do not print out the initial copyright and welcome messages.

--slave
    Make R run as quietly as possible. This option is intended to support programs which use R to compute results for them.

The following options are available so that the R developers can carry debugging.

--debugger name
    Run R under the control of the debugger named name. May be abbreviated to -d.

--verbose
    Print more information about progress.

Startup processing (see also below) is controlled by the following options.

--no-site-file
    Do not load the site-wide startup profile.

--no-init-file
    Do not load the user's .Rprofile.

Finally, the following options produce informative output.

--help
    Print some useful usage information and exit. May be abbreviated to -h.

--version
    Print the version number and exit.

STARTUP PROCESSING
When R is invoked, it first searches for the site-wide startup profile unless --no-site-file was given. The name of this file is taken from the value of the RPROFILE environment variable. If that variable is unset, the default is RHOME/etc/Rprofile. Unless --no-init-file was given, R then searches for the files .Rprofile and ~/.Rprofile (in that order) and executes any statements in the first of these files to be found. Finally, if a user has defined a function called .First, it will be invoked. After these steps, an read-eval-print loop is run for user input.

FILES
.RData
    saved data sets.
.Rhistory
    saved command history.
.Rprofile
    current directory startup file.
~/.Rprofile
    home directory startup file.

SEE ALSO
S(1), Splus(1), readline(3).

BUGS
R is very close to S in both syntax and semantics, but is not identical. Whether this is a bug or feature is an open question.